<template>
  <transition name="fade">
    <router-view/>
  </transition>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  created () {
    this.getWebConfig()
    this.fetchUserConfig()
  },
  methods: {
    ...mapActions({
      getWebConfig: 'common/getWebConfig',
      fetchUserConfig: 'user/fetchUserConfig'
    })
  }
}
</script>
